// $Id: quickbar.js,v 1.1 2011/02/16 02:15:29 redndahead Exp $

Drupal.quickbar = Drupal.quickbar || {};

Drupal.quickbar.setActive = function(toolbar_id) {
  // Show the right toolbar
  $('#quickbar .depth-1 ul.links').addClass('collapsed');
  $(toolbar_id).removeClass('collapsed');
  $('div#quickbar, div#quickbar .depth-1').removeClass('collapsed');

  // Switch link active class to corresponding menu item
  var link_id = toolbar_id.replace('quickbar', 'quickbar-link');
  $('#quickbar .depth-0 ul.links a').removeClass('active');
  $(link_id).addClass('active');
}

Drupal.behaviors.quickbar = function(context) {
  // Move the toolbar to underneath body.
  var toolbarHtml = $('#quickbar').remove();
  $('body').prepend(toolbarHtml);

  // Primary menus
  $('#quickbar .depth-0 ul.links a:not(.processed)').each(function() {
    var target = $(this).attr('id');
    if (target) {
      target = '#'+ target.replace('quickbar-link', 'quickbar');
      if ($(target, '#quickbar').size() > 0) {
        // If this link is active show this toolbar on setup
        if ($(this).parent().is('.active-trail')) {
          Drupal.quickbar.setActive(target);
        }
        // Add click handler
        $(this).click(function() {
          if ($(this).is('.active')) {
            window.location = $(this).attr('href');
            return true;
          }
          Drupal.quickbar.setActive(target);
          return false;
        });
      }
    }
    $(this).addClass('processed');
  });

  $('#quickbar .depth-1 span.close:not(.processed)').each(function() {
    $(this).click(function() {
      $('#quickbar .depth-1').addClass('collapsed');
      return false;
    });
    $(this).addClass('processed');
  });

  // Secondary menus
  $('#quickbar .depth-1 ul.links:not(.processed)').each(function() {
    $(this).addClass('processed');
  });
}
